#!/bin/bash
set -e

case $1 in
    32)
        TARGET=i686
        MINGW=mingw
        ;;
    64)
        TARGET=x86_64
        MINGW=mingw64
        ;;
    *)
        echo "Usage: $0 {32|64}"
        exit 1
esac

./Configure \
    --cross-compile-prefix=${TARGET}-w64-mingw32- \
    --openssldir=/opt/openssl-${MINGW} \
    ${MINGW} shared
make
sudo make install
sudo cp ms/applink.c /opt/openssl-${MINGW}/include/openssl/
